Package org.apache.cxf.workqueue

# Interface WorkQueueManager

All Known Implementing Classes:
  `WorkQueueManagerImpl`

public interface WorkQueueManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNamedWorkQueue(String name, AutomaticWorkQueue q)`
  Adds a named work queue
  `AutomaticWorkQueue`
  `getAutomaticWorkQueue()`
  Get the manager's default work queue.
  `AutomaticWorkQueue`
  `getNamedWorkQueue(String name)`
  Get the named work queue.
  `void`
  `run()`
  Only returns after workqueue has been shutdown.
  `void`
  `shutdown(boolean processRemainingTasks)`
  Shuts down the manager's work queue.

- ## Method Details

  - ### getAutomaticWorkQueue

    AutomaticWorkQueue getAutomaticWorkQueue()
    Get the manager's default work queue.
    Returns:
      AutomaticWorkQueue

  - ### getNamedWorkQueue

    AutomaticWorkQueue getNamedWorkQueue(String name)
    Get the named work queue.
    Returns:
      AutomaticWorkQueue

  - ### addNamedWorkQueue

    void addNamedWorkQueue(String name, AutomaticWorkQueue q)
    Adds a named work queue
    Parameters:
      `name` -
      `q` -

  - ### shutdown

    void shutdown(boolean processRemainingTasks)
    Shuts down the manager's work queue. If `processRemainingTasks` is true, waits for the work queue to shutdown before returning.
    Parameters:
      `processRemainingTasks` - - whether or not to wait for completion

  - ### run

    void run()
    Only returns after workqueue has been shutdown.